<script>
// import Layout from "../../layouts/main";
import Layout from "../../layouts/main.vue";
import PageHeader from "../../components/page-header.vue";
import General from './settingTab/general.vue';
import Order from './settingTab/order.vue';
import Wallet from './settingTab/wallet.vue';
import Versions from './settingTab/versions.vue';
import PaymentGatewayMethods from './settingTab/payment-gateway-methods.vue';
import config from '../../config';

/** 
 * Tabs & accordions component
 */
export default {
  components: { Layout, PageHeader, General, Order, Wallet, Versions, PaymentGatewayMethods },
  data() {
    return {
      config: config,
    };
  },

};
</script>

<template>
  <Layout>

    <PageHeader :title="trans.get('__JSON__.Settings')">
        <template  v-slot:icon>
            <i class="bx bx-wrench"></i>
        </template>
    </PageHeader>
    <div class="row">
      <div class="col-lg-12">
        <div class="card">
          <div class="card-body p-0">
            <!-- Tab panel start-->
            <b-tabs justified lazy nav-class="nav-tabs-custom order-tabs" content-class="p-3 text-muted">
              <b-tab active>
                <template v-slot:title>
                  <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.General') }}</span>
                </template>
                <General />
              </b-tab>
              <b-tab >
                <template v-slot:title>
                  <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Order') }}</span>
                </template>
                <Order />
              </b-tab>
              <b-tab >
                <template v-slot:title>
                  <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Wallet') }}</span>
                </template>
                <Wallet />
              </b-tab>
              <b-tab >
                <template v-slot:title>
                  <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Versions') }}</span>
                </template>
                <Versions />
              </b-tab>
              <b-tab>
                <template v-slot:title>
                  <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Payment Gateway Methods') }}</span>
                </template>
                <PaymentGatewayMethods/>
              </b-tab>
            </b-tabs>
            <!-- Tab panel end -->
          </div>
        </div>
      </div>
    </div>
  </Layout>
</template>